# -*- cperl -*-

use Test::More;
BEGIN { plan tests => 13};

use NAT;

## Pair size checks ##################################################

is( NAT::check_pair_sizes("", ""), 0);

is( NAT::check_pair_sizes("zbr", ""), 0);
is( NAT::check_pair_sizes("", "zbr"), 0);

is( NAT::check_pair_sizes("zbr", "   "), 0);
is( NAT::check_pair_sizes("   ", "zbr"), 0);

is( NAT::check_pair_sizes("zbr", "zbr"), 1);
is( NAT::check_pair_sizes("zbr", "zbr                   "), 1);

is( NAT::check_pair_sizes("zbr", "zbrzbr" ), 1);
is( NAT::check_pair_sizes("zbr", "zbrzbry"), 0);
is( NAT::check_pair_sizes("zbrzbr" , "zbr"), 1);
is( NAT::check_pair_sizes("zbrzbry", "zbr"), 0);

is( NAT::check_pair_sizes({ percent => 2.5 }, "zbrzbry", "zbr"), 1);
is( NAT::check_pair_sizes({ percent => 2.5 }, "zbr", "zbrzbry"), 1);

################################################################ EOF #
