#!/usr/bin/perl -w

use Test::More qw/no_plan/;

#
# Check the binary file
#
ok(-x "../src/nat-pre", "nat-pre is compiled and executable exists");

#
# Check that nat-pre creates the files it should create
#
my @prefiles = qw/PT.lex EN.lex PT.crp PT.crp.index EN.crp.index EN.crp/;
for (@prefiles) {
  unlink if -f;
}

`../src/nat-pre -q input/PT-tok input/EN-tok PT.lex EN.lex PT.crp EN.crp`;

for (@prefiles) {
  ok(-f, "Checking if file $_ was correctly created");
}

#
# Check that nat-lex2perl does anything for PT and EN
#
`perl -Mblib=../NAT/blib ../NAT/scripts/nat-lex2perl PT.lex > PT.perl`;
ok(-f "PT.perl", "nat-lex2perl worked");


`perl -Mblib=../NAT/blib ../NAT/scripts/nat-lex2perl EN.lex > EN.perl`;
ok(-f "EN.perl", "nat-lex2perl worked");


#
# Check contents for PT.perl
#
{
  my $GENERATED = {};
  my $ORIGINAL = do "input/PT-tok.wc";
  eval{$GENERATED = do "PT.perl"};
  ok(!$@, "DO done correctly");

  for (keys %$ORIGINAL) {
    next if $_ eq '$';
    print STDERR "\n\nPT: $_\n\n" unless $ORIGINAL->{$_} == $GENERATED->{$_};
    is($GENERATED->{$_}, $ORIGINAL->{$_}, "Testing word '$_'");
  }
}

#
# Check contents for EN.perl
#
{
  my $GENERATED = {};
  my $ORIGINAL = do "input/EN-tok.wc";
  eval{$GENERATED = do "EN.perl"};
  ok(!$@, "DO done correctly");

  for (keys %$ORIGINAL) {
    next if $_ eq '$';
    print STDERR "\n\nEN: $_\n\n" unless $ORIGINAL->{$_} == $GENERATED->{$_};
    is($GENERATED->{$_}, $ORIGINAL->{$_}, "Testing word '$_'");
  }
}


#unlink (@prefiles, qw/PT.perl EN.perl/);
